package com.myoa.engineering.crawl.shopping.configuration.feign;

import feign.RequestInterceptor;
import feign.RequestTemplate;

public class UserAgentInterceptor implements RequestInterceptor {

    private static final String USER_AGENT_HEADER = "User-Agent";
    private static final String USER_AGENT_VALUE = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36";

    @Override
    public void apply(RequestTemplate template) {
        template.header(USER_AGENT_HEADER, USER_AGENT_VALUE);
    }
}
