package com.myoa.engineering.crawl.shopping.infra.client.fmkorea;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.Map;

@FeignClient(value = "fmkorea-board-client", url = "https://www.fmkorea.com")
public interface FmkoreaBoardClient {

    @GetMapping("{boardLink}")
    String getBoardHtml(@PathVariable("boardLink") String boardLink,
                        @SpringQueryMap Map<String, String> params);
}
